A Bounty Hunter is just like a Scavenger but an advanced version. He has better gathering skills and stronger stamina. Obtaining unique items that no one can get from a monster is the best feature of a Bounty Hunter.
A Bounty Hunter's skill is very similar to a Scavenger, for instance, collecting additional items from the corpses of monsters are the main skills they use. Plus they can act dead during emergencies and carry out strong strikes with blunts.
To be a Bounty Hunter, your level must be over 40 and you need to collect the Mark of the Guildsman, the Mark of Prosperity, and the Mark of the Searcher.
Ask about marks.
Return